module Djot

import System
import System.File

import SSG.Djot
import SSG.HTML

main : IO ()
main = do
  args <- getArgs
  case args of
    [_, file] => do
      Right contents <- readFile file
        | Left err => printLn err
      let parsed = djot contents
      printLn parsed
      putStr . render $ renderHtml parsed
    _ => do
      putStrLn "?"
      exitFailure
